Bug 1284440 - The authentication system Goobook is using, ClientLogin, has been deprecated and removed by Google
The authentication system Goobook is using, ClientLogin, has been deprecated ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goobook (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On: 1098220
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 05:46 EST by Grégoire
Modified: 2016-02-05 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version: goobook-1.9-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 16:22:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grégoire 2015-11-23 05:46:38 EST
Description of problem: The authentication system Goobook is using, ClientLogin, has been deprecated and removed by Google.  This means that goobook can connect to google's servers at this point.


Version-Release number of selected component (if applicable): 1.3


How reproducible: Reproducible


Steps to Reproduce:
1. install goobook
2. configure it with a google account
3. try 'goobook reload'

Actual results: Error message 'Authorization required'


Expected results: Update local cache, no error message


Additional info: It seems that it has been fixed upstream: https://gitlab.com/goobook/goobook/issues/52
Comment 1 Fedora Admin XMLRPC Client 2016-01-25 11:21:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-01-25 11:42:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2016-01-27 03:29:03 EST
goobook-1.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2e2ce021a
Comment 4 Fedora Update System 2016-01-28 17:26:52 EST
goobook-1.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2e2ce021a
Comment 5 Fedora Update System 2016-02-05 16:21:58 EST
goobook-1.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.